Upgrading to 5.0 db migrate problem

Added by Ian Walker 2 months ago

I was on 4.2.7, and then attempted the upgrade switching to new SVN. On one of my installations it worked fine, however on the second one, I get this when attempting the db migrate:

** Invoke db:migrate (first_time)
** Invoke db:load_config (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
LoadError: cannot load such file -- localizable
/var/lib/gems/2.7.0/gems/zeitwerk-2.6.0/lib/zeitwerk/kernel.rb:35:in `require'
/var/lib/gems/2.7.0/gems/zeitwerk-2.6.0/lib/zeitwerk/kernel.rb:35:in `require'
/var/www/redmine/plugins/localizable/lib/role_patch.rb:11:in `<top (required)>'
/var/lib/gems/2.7.0/gems/zeitwerk-2.6.0/lib/zeitwerk/kernel.rb:27:in `require'
/var/lib/gems/2.7.0/gems/zeitwerk-2.6.0/lib/zeitwerk/kernel.rb:27:in `require'
/var/www/redmine/plugins/localizable/init.rb:18:in `<top (required)>'
/var/www/redmine/lib/redmine/plugin_loader.rb:31:in `load'
/var/www/redmine/lib/redmine/plugin_loader.rb:31:in `run_initializer'
/var/www/redmine/lib/redmine/plugin_loader.rb:108:in `each'
/var/www/redmine/lib/redmine/plugin_loader.rb:108:in `block in load'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:427:in `instance_exec'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:427:in `block in make_lambda'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:198:in `block (2 levels) in halting'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:604:in `block (2 levels) in default_terminator'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:603:in `catch'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:603:in `block in default_terminator'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:199:in `block in halting'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:512:in `block in invoke_before'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:512:in `each'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:512:in `invoke_before'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/callbacks.rb:105:in `run_callbacks'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/reloader.rb:88:in `prepare!'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/application/finisher.rb:124:in `block in <module:Finisher>'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/initializable.rb:32:in `instance_exec'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/initializable.rb:32:in `run'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/initializable.rb:61:in `block in run_initializers'
/usr/lib/ruby/2.7.0/tsort.rb:228:in `block in tsort_each'
/usr/lib/ruby/2.7.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
/usr/lib/ruby/2.7.0/tsort.rb:431:in `each_strongly_connected_component_from'
/usr/lib/ruby/2.7.0/tsort.rb:349:in `block in each_strongly_connected_component'
/usr/lib/ruby/2.7.0/tsort.rb:347:in `each'
/usr/lib/ruby/2.7.0/tsort.rb:347:in `call'
/usr/lib/ruby/2.7.0/tsort.rb:347:in `each_strongly_connected_component'
/usr/lib/ruby/2.7.0/tsort.rb:226:in `tsort_each'
/usr/lib/ruby/2.7.0/tsort.rb:205:in `tsort_each'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/initializable.rb:60:in `run_initializers'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/application.rb:391:in `initialize!'
/var/www/redmine/config/environment.rb:16:in `<top (required)>'
/var/lib/gems/2.7.0/gems/zeitwerk-2.6.0/lib/zeitwerk/kernel.rb:35:in `require'
/var/lib/gems/2.7.0/gems/zeitwerk-2.6.0/lib/zeitwerk/kernel.rb:35:in `require'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/dependencies.rb:332:in `block in require'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/dependencies.rb:299:in `load_dependency'
/var/lib/gems/2.7.0/gems/activesupport-6.1.7/lib/active_support/dependencies.rb:332:in `require'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/application.rb:367:in `require_environment!'
/var/lib/gems/2.7.0/gems/railties-6.1.7/lib/rails/application.rb:533:in `block in run_tasks_blocks'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:281:in `block in execute'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:281:in `each'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:281:in `execute'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:219:in `block in invoke_with_call_chain'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `synchronize'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `invoke_with_call_chain'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:243:in `block in invoke_prerequisites'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:241:in `each'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:241:in `invoke_prerequisites'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:218:in `block in invoke_with_call_chain'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `synchronize'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `invoke_with_call_chain'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:243:in `block in invoke_prerequisites'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:241:in `each'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:241:in `invoke_prerequisites'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:218:in `block in invoke_with_call_chain'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `synchronize'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `invoke_with_call_chain'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/task.rb:188:in `invoke'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:160:in `invoke_task'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:116:in `block (2 levels) in top_level'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:116:in `each'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:116:in `block in top_level'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:125:in `run_with_threads'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:110:in `top_level'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:83:in `block in run'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:186:in `standard_exception_handling'
/var/lib/gems/2.7.0/gems/rake-13.0.6/lib/rake/application.rb:80:in `run'
/var/lib/gems/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'
/usr/local/bin/rake:23:in `load'
/usr/local/bin/rake:23:in `<main>'
Tasks: TOP => db:migrate => db:load_config => environment

Any ideas on why it's failing, and how can I get it to complete the db migrate process?

Replies (1)

RE: Upgrading to 5.0 db migrate problem - Added by Ian Walker 2 months ago

I think I've figured it out, the localizable plugin is the problem. When I remove this, the migrate happens. So obviously this plugin is not compatible with Redmine 5.x

(1-1/1)